<html lang="de">
  <div class="header" >{{ title }}</div>
  <div class="clear"></div>

  <div id="content">
    <noscript>
      <p>Javascript ist deaktiviert!</p>
    </noscript>

    <ul class="nav nav-tabs">
      <li class="nav-item">
        <a class="nav-link" href="#home" data-toggle="tab">Live Data</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#archiv" data-toggle="tab">Archiv</a>
      </li>
      <li class="nav-item">
        <a class="nav-link"><a href="https://uwuerz-benefit-simulation.shinyapps.io/DTSP/" target="_blank">Process-Mining</a></a>
      </li>
    </ul>
            
    <div class="tab-content">
      <div class="tab-pane active" id="home">
        <main class="dashboard">
          <div class="clear"></div>
          <h2>Live-Dashboard</h2>
          <div class="clear"></div>
          <div class="ui-g section">
            <div id="box-1" class="ui-g-12 ui-lg-4">
              <p-card>
                <div class="centerdiv">
                  <table class="Status" cellpadding="15">
                    <tr>
                      <td>Aktuelle Störung:</td>
                      <td><button pButton type="button" label="" [class.ui-button-success]="buttonState" [class.ui-button-warning]="!buttonState"></button></td>
                    </tr>
                    <tr>
                      <td>Schwerwiegender Fehler:</td>
                      <td><button pButton type="button" label="" [class.ui-button-success]="buttonWarn" [class.ui-button-danger]="!buttonWarn"></button></td>
                    </tr>
                  </table>​​​
                </div>
              </p-card>
            </div>
  
            <div id="box-2" class="ui-g-12 ui-lg-4">
              <p-card>
                <div class="Charts">
                  <app-linechart class="Chart"></app-linechart>
                </div>
              </p-card>
            </div>
  
            <div id="box-3" class="ui-g-12 ui-lg-4">
              <p-card>
                <div class="Charts">
                  <div>
                      <canvas id="canvas2">{{ mychart }}</canvas>
                  </div>
                </div>
              </p-card>
            </div>
            <div id="box-4" class="ui-g-12 ui-lg-6">
              <p-card>
                <div class="Fehlermeldungen">
                  <p-panel header="Fehlermeldungen Kafka" [toggleable]="false" [style]="{'margin-bottom':'20px'}">
                    <p-table [value]="onlyErrorsList" [paginator]="true" [rows]="6">
                      <ng-template pTemplate="header">
                        <tr>
                          <th class="smallrow">ID</th>
                          <th class="smallrow1">Zeit</th>
                          <th class="smallrow2">Sensoren</th>
                          <th>Beschreibung</th>
                          <th class="smallrow3">Area</th>
                          <th class="smallrow4"></th>
                        </tr>
                      </ng-template>
                      <ng-template pTemplate="body" let-err>
                        <tr>
                          <td [routerLink]="['/services/mysql', err.id]" style="color:black; text-align: center"><a href="http://autocop.westeurope.cloudapp.azure.com/description/{{err.id}}" target="_blank">{{err.id}}</a></td>
                          <td [routerLink]="['/services/mysql', err.id]" style="color:black">{{err.time}}</td>
                          <td [routerLink]="['/services/mysql', err.id]" style="color:black">{{err.sensorIds.join(', ')}}</td>
                          <td [routerLink]="['/services/mysql', err.id]" style="color:black">{{err.description}}</td>
                          <td [routerLink]="['/services/mysql', err.id]" style="color:black; text-align: center">{{err.area}}</td>
                          <td><p-button id="buttonClose" styleClass="ui-button-success" iconPos="middle" icon="pi pi-check" (onClick)="buttonForClose(err.time)"></p-button></td>
                        </tr>
                      </ng-template>
                    </p-table>
                  </p-panel>
                </div>
                <!--<p-footer>-->
                    <!--<p-button styleClass="ui-button-success" label="Fehler beheben" iconPos="left" icon="pi pi-check" (onClick)="buttonForImg()"></p-button>-->
                <!--</p-footer>-->
              </p-card>
            </div>
            <div id="box-5" class="ui-g-12 ui-lg-6">
              <p-card>
                <div class="frame">
                  <img class="centerPic" alt="Fertigungsplan" src="{{imgFertigung}}">
                </div>
              </p-card>
            </div>
          </div>
        </main>
      </div>
      <div class="tab-pane" id="archiv">
          <app-archiv></app-archiv>
      </div>
    </div>

    <div class="ui-g section">
      <div id="footer" class="ui-g-12" style="width:99%">
        <p-card [style]="{'background-color':'dimgray', 'color':'white'}">
          <div class="centerdiv2">
            <table>
              <tr>
                <td class="paddingBetweenCols">
                  <a href="https://www.uni-wuerzburg.de/startseite/" target="_blank">
                    <img height="55" alt="Uni Logo" src="{{imgname1}}">
                  </a>
                </td>
                <td class="paddingBetweenCols">Projekt der Julius-Maximilians-Universität Würzburg & der APE Engineering GmbH</td>
                <td>
                  <a href="https://www.ape-engineering.de/home/" target="_blank">
                    <img height="50" alt="APE Logo" src="{{imgname}}">
                  </a>
                </td>
              </tr>
            </table>​​​
          </div>
        </p-card>
      </div>
    </div>
  </div>

</html>
